#### D.13.6.7 drawNewtonSubdivision

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  drawTropicalCurve(f[,#]); f poly, # optional list

Assume:
  f is list of linear polynomials of the form ax+by+c with integers a, b and a rational number c representing a tropical Laurent polynomial defining a tropical plane curve;
  alternatively f can be a polynomial in Q(t)[x,y] defining a tropical plane curve via the valuation map;
  the basering must have a global monomial ordering, two variables and up to one parameter!

Return:
  NONE

Note:
  - the procedure creates the files /tmp/newtonsubdivisionNUMBER.tex, and /tmp/newtonsubdivisionNUMBER.ps, where NUMBER is a random four digit integer;
  moreover it displays the tropical curve defined by f via xdg-open; if you wish to remove all these files from /tmp, call the procedure cleanTmp;
  if # is empty, then the tropical curve is computed w.r.t. minimum, if #[1] is the string 'max', then it is computed w.r.t. maximum
  - note that lattice points in the Newton subdivision which are black correspond to markings of the marked subdivision, while lattice points in grey are not marked

Example:

    LIB "tropical.lib";
    ring r=(0,t),(x,y),dp;
    poly f=t*(x3+y3+1)+1/t*(x2+y2+x+y+x2y+xy2)+1/t2*xy;
    // the command drawTropicalCurve(f) computes the graph of the tropical curve
    // given by f and displays a post script image, provided you have xdg-open
    drawNewtonSubdivision(f);
    // we can instead apply the procedure to a tropical polynomial
    poly g=x+y+x2y+xy2+1/t*xy;
    list tropical_g=tropicalise(g);
    tropical_g;
    drawNewtonSubdivision(tropical_g);

User manual for Singular version 4.4.1, 2025, generated by texi2html.